<html>
	<head>
	</head>
	<body>
			<h1> Form Sayfası</h1>
		<form action="index.php" method="GET" name="frm1">
			Adınız : <input type="text" name="ad" /><br><br>
			Soyadınız : <input type="text" name="sad" /><br><br>
			Çarpım Tablosu Değeri : <select name="deger">
			                         <?php
									     for($i=1;$i<=10;$i++)
			                                echo" <option value='$i'>$i</option>";
									?>
			                        </select>
			              <br>               
			              <br>               
			<button value="a" style="margin-left:180px" name="btn">Gönder</button>
			
			
		</form>
	</body>
</html>
<?Php

  extract($_GET);
  if(isset($ad) && isset($sad)){
    print_r($_GET);
	echo"<br>Gelen veriler Adı = $ad  <br> Soyadı= $sad";
  }
  
 $dizi=array( "Ankara", "İzmir", "Samsun", "Manisa");
$a = Array_push($dizi, "Amasra"); //elemanları ekler
print_r($dizi); ///Tüm şehirleri dizi şeklinde yazar


 if(isset($ad) && isset($sad) && isset($deger))
     {
	 
	 
     if($ad=="mutlu" && $sad=="YAPICI") 
    echo CarpimTablosuOlustur($deger);
}
function CarpimTablosuOlustur($deger=10)
{
    if($deger>10)
	 return "10 lardan büyük çarpım tablosu oluşturulamıyor";
	 else{
	    $metin="";
		
		for($i=1;$i<=$deger;$i++)
		{
		   $metin.="<table border='5' cellpadding='5px'>";
		   
		   for($j=1;$j<=10;$j++)
		   {
		       $metin.="<tr>
							<td>$i</td>
							<td>X</td>
							<td>$j</td>
							<td>=</td>
							<td>".($i*$j)."</td>
						</tr>";
		   }
		   $metin.="</table>";
		}
	 
	  return $metin;
	 
	 }
}
 
?>